org.mariadb.jdbc.internal.com.read.resultset.rowprotocol

## Class RowProtocol

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol

Direct Known Subclasses:
  BinaryRowProtocol, TextRowProtocol

    public abstract class RowProtocol
    extends Object

### Field Summary

Fields
`static int` `BIT_LAST_FIELD_NOT_NULL`
`static int` `BIT_LAST_FIELD_NULL`
`static int` `BIT_LAST_ZERO_DATE`
`byte[]` `buf`
`protected int` `index`
`static Pattern` `isIntegerRegex`
`int` `lastValueNull`
`int` `length`
`protected int` `maxFieldSize`
`protected static int` `NULL_LENGTH`
`protected Options` `options`
`int` `pos`
`static int` `TINYINT1_IS_BIT`
`static int` `YEAR_IS_DATE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`RowProtocol(int maxFieldSize, Options options)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected int` `extractNanos(String timestring)`
`abstract BigDecimal` `getInternalBigDecimal(ColumnInformation columnInfo)`
`abstract BigInteger` `getInternalBigInteger(ColumnInformation columnInfo)`
`abstract boolean` `getInternalBoolean(ColumnInformation columnInfo)`
`abstract byte` `getInternalByte(ColumnInformation columnInfo)`
`abstract Date` `getInternalDate(ColumnInformation columnInfo, Calendar cal, TimeZone timeZone)`
`abstract double` `getInternalDouble(ColumnInformation columnInfo)`
`abstract float` `getInternalFloat(ColumnInformation columnInfo)`
`abstract int` `getInternalInt(ColumnInformation columnInfo)`
`abstract long` `getInternalLong(ColumnInformation columnInfo)`
`protected long` `getInternalMediumInt(ColumnInformation columnInfo)`
`abstract Object` `getInternalObject(ColumnInformation columnInfo, TimeZone timeZone)`
`abstract short` `getInternalShort(ColumnInformation columnInfo)`
`protected int` `getInternalSmallInt(ColumnInformation columnInfo)`
`abstract String` `getInternalString(ColumnInformation columnInfo, Calendar cal, TimeZone timeZone)`
`abstract Time` `getInternalTime(ColumnInformation columnInfo, Calendar cal, TimeZone timeZone)`
`abstract Timestamp` `getInternalTimestamp(ColumnInformation columnInfo, Calendar userCalendar, TimeZone timeZone)`
`abstract String` `getInternalTimeString(ColumnInformation columnInfo)`
`protected int` `getInternalTinyInt(ColumnInformation columnInfo)`
`int` `getLengthMaxFieldSize()`
`int` `getMaxFieldSize()`
`abstract boolean` `isBinaryEncoded()`
`boolean` `lastValueWasNull()`
`protected long` `parseBit()`
`protected void` `rangeCheck(Object className, long minValue, long maxValue, BigDecimal value, ColumnInformation columnInfo)`
`protected void` `rangeCheck(Object className, long minValue, long maxValue, long value, ColumnInformation columnInfo)`
`void` `resetRow(byte[] buf)`
`abstract void` `setPosition(int position)`
`boolean` `wasNull()` Reports whether the last column read had a value of Null.
`protected String` `zeroFillingIfNeeded(String value, ColumnInformation columnInformation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIT_LAST_FIELD_NOT_NULL

    public static final int BIT_LAST_FIELD_NOT_NULL

See Also:
  Constant Field Values

#### BIT_LAST_FIELD_NULL

    public static final int BIT_LAST_FIELD_NULL

See Also:
  Constant Field Values

#### BIT_LAST_ZERO_DATE

    public static final int BIT_LAST_ZERO_DATE

See Also:
  Constant Field Values

#### TINYINT1_IS_BIT

    public static final int TINYINT1_IS_BIT

See Also:
  Constant Field Values

#### YEAR_IS_DATE_TYPE

    public static final int YEAR_IS_DATE_TYPE

See Also:
  Constant Field Values

#### isIntegerRegex

    public static final Pattern isIntegerRegex

#### lastValueNull

    public int lastValueNull

#### NULL_LENGTH

    protected static final int NULL_LENGTH

See Also:
  Constant Field Values

#### maxFieldSize

    protected final int maxFieldSize

#### buf

    public byte[] buf

#### pos

    public int pos

#### length

    public int length

#### index

    protected int index

#### options

    protected final Options options

### Constructor Detail

#### RowProtocol

    public RowProtocol(int maxFieldSize,
                       Options options)

### Method Detail

#### resetRow

    public void resetRow(byte[] buf)

#### setPosition

    public abstract void setPosition(int position)

#### getLengthMaxFieldSize

    public int getLengthMaxFieldSize()

#### getMaxFieldSize

    public int getMaxFieldSize()

#### getInternalString

    public abstract String getInternalString(ColumnInformation columnInfo,
                                             Calendar cal,
                                             TimeZone timeZone)
                                      throws SQLException

Throws:
  `SQLException`

#### getInternalInt

    public abstract int getInternalInt(ColumnInformation columnInfo)
                                throws SQLException

Throws:
  `SQLException`

#### getInternalLong

    public abstract long getInternalLong(ColumnInformation columnInfo)
                                  throws SQLException

Throws:
  `SQLException`

#### getInternalFloat

    public abstract float getInternalFloat(ColumnInformation columnInfo)
                                    throws SQLException

Throws:
  `SQLException`

#### getInternalDouble

    public abstract double getInternalDouble(ColumnInformation columnInfo)
                                      throws SQLException

Throws:
  `SQLException`

#### getInternalBigDecimal

    public abstract BigDecimal getInternalBigDecimal(ColumnInformation columnInfo)
                                              throws SQLException

Throws:
  `SQLException`

#### getInternalDate

    public abstract Date getInternalDate(ColumnInformation columnInfo,
                                         Calendar cal,
                                         TimeZone timeZone)
                                  throws SQLException

Throws:
  `SQLException`

#### getInternalTime

    public abstract Time getInternalTime(ColumnInformation columnInfo,
                                         Calendar cal,
                                         TimeZone timeZone)
                                  throws SQLException

Throws:
  `SQLException`

#### getInternalTimestamp

    public abstract Timestamp getInternalTimestamp(ColumnInformation columnInfo,
                                                   Calendar userCalendar,
                                                   TimeZone timeZone)
                                            throws SQLException

Throws:
  `SQLException`

#### getInternalObject

    public abstract Object getInternalObject(ColumnInformation columnInfo,
                                             TimeZone timeZone)
                                      throws SQLException

Throws:
  `SQLException`

#### getInternalBoolean

    public abstract boolean getInternalBoolean(ColumnInformation columnInfo)
                                        throws SQLException

Throws:
  `SQLException`

#### getInternalByte

    public abstract byte getInternalByte(ColumnInformation columnInfo)
                                  throws SQLException

Throws:
  `SQLException`

#### getInternalShort

    public abstract short getInternalShort(ColumnInformation columnInfo)
                                    throws SQLException

Throws:
  `SQLException`

#### getInternalTimeString

    public abstract String getInternalTimeString(ColumnInformation columnInfo)

#### getInternalBigInteger

    public abstract BigInteger getInternalBigInteger(ColumnInformation columnInfo)
                                              throws SQLException

Throws:
  `SQLException`

#### isBinaryEncoded

    public abstract boolean isBinaryEncoded()

#### lastValueWasNull

    public boolean lastValueWasNull()

#### zeroFillingIfNeeded

    protected String zeroFillingIfNeeded(String value,
                                         ColumnInformation columnInformation)

#### getInternalTinyInt

    protected int getInternalTinyInt(ColumnInformation columnInfo)

#### parseBit

    protected long parseBit()

#### getInternalSmallInt

    protected int getInternalSmallInt(ColumnInformation columnInfo)

#### getInternalMediumInt

    protected long getInternalMediumInt(ColumnInformation columnInfo)

#### rangeCheck

    protected void rangeCheck(Object className,
                              long minValue,
                              long maxValue,
                              BigDecimal value,
                              ColumnInformation columnInfo)
                       throws SQLException

Throws:
  `SQLException`

#### rangeCheck

    protected void rangeCheck(Object className,
                              long minValue,
                              long maxValue,
                              long value,
                              ColumnInformation columnInfo)
                       throws SQLException

Throws:
  `SQLException`

#### extractNanos

    protected int extractNanos(String timestring)
                        throws SQLException

Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()

Reports whether the last column read had a value of Null. Note that you must first call one of the getter methods on a column to try to read its value and then call the method wasNull to see if the value read was Null.

Returns:
  true true if the last column value read was null and false otherwise